General
cancel
Showing results for 
Search instead for 
Did you mean: 

RedHat Enterprise Linux 6 Proliant Support Pack 8.62 installation

SOLVED
Go to solution
Roberto Nunin
Occasional Contributor

RedHat Enterprise Linux 6 Proliant Support Pack 8.62 installation

Hello All

there's someone that have succesfully installed PSP 8.62 on a RHEL 6 ?

We have:
Proliant DL580G7 and Proliant BL685G7 but, on both systems, trying to run the hpsum executable within a graphic session (GNOME), nothing happen.
Unix error ($?) is 127.

Each package required for hpsum installation is istalled ad updated.

PSP is stored under a folder, /patch/psp

Any hint or suggestion about ?
Thanks in advance for help.

Best Regards
Roberto Nunin
7 REPLIES

Re: RedHat Enterprise Linux 6 Proliant Support Pack 8.62 installation

Hi Roberto

as per install instruction, no X session is supported at the moment:

For Red Hat Enterprise Linux 6 servers - RHEL6 Console Mode:

NOTE: No X console in either x86 or x86_64 - User installs base server with defaults and the following RPMs to run HP SUM in silent mode.

NOTE: The versions below are needed as a minimum. Later versions of these can most likely be used as well.

lm-sensors-libs-3.1.1-10.el6..rpm
net-snmp-libs-5.5-27.el6..rpm
net-snmp-5.5.27.el6..rpm
kernel-headers-2.6.32-71.el6..rpm
redhat-rpm-config-9.0.3-25.el6.noarch.rpm
kernel-devel-2.6.32-71.el6..rpm
rpm-build-4.8.0-12.el6..rpm
gcc-4.4.4-13.el6..rpm
NOTE: The version(s) below are recommended as a minimum. Later versions of these can most likely be used as well.

cheers
Reto
Rende Luitjes
Occasional Advisor
Solution

Re: RedHat Enterprise Linux 6 Proliant Support Pack 8.62 installation

I have just experienced similar problems.

After some basic checking, I noticed that the hpsum installer of the x86_64 psp kit is a 32-bit ELF executable. hpsum triggers a whole bunch of i686 dependencies that my rhel6 doesn't meet compared to our older rhel54 setup. I started of my installing glibc.i686, just to pull hpsum out of returning with a $? of 128. Additionally, I needed to perform arround 12 extra yum installs from the original distro, all i686 related.

It seems that x86_64 rhel6 has become more lean towards 32-bit libraries, as I didn't have this issue in our rhel54 build at all.

I was about to look for a psp 8.62 relnote to verify my findings, but then I stumbled upon this post.

Kind regards,
Rende Luitjes
Roberto Nunin
Occasional Contributor

Re: RedHat Enterprise Linux 6 Proliant Support Pack 8.62 installation

Hello guys

thanks for your promptly considerations.

Inspecting an RHEL 5.5 x86_64 installation, hpsum is already a 32bit/ELF executable, so is really possible that RedHat 6 is less "permissive" with 32 bit executable, because on the RHEL5.5, PSP was insalled without trouble.

I will raise a call to both RedHat support and HP support related to this issue and will report on this topic in case of news.

Maybe HP techs had built the PSP with wrong executables ?

Again, thanks for your support.


Alzhy
Honored Contributor

Re: RedHat Enterprise Linux 6 Proliant Support Pack 8.62 installation

Good.. let us know..

Am also planning to soak RHEL 6 on our Sand Box machines.
Hakuna Matata.
Roberto Nunin
Occasional Contributor

Re: RedHat Enterprise Linux 6 Proliant Support Pack 8.62 installation

Updates from RedHat support:

Proliant Support Pack isn't supported by RedHat, issues must be checked with HP Linux support.

Forwarded them, stay tuned.

Regards

Roberto
Roberto Nunin
Occasional Contributor

Re: RedHat Enterprise Linux 6 Proliant Support Pack 8.62 installation

Hi guys, still there ?

We have found the issue.
PSP 8.62 x86_64 contains 32 bit executables.
Installation notes for a graphic environment require to install the following libraries/applications:


libuuid-2.17.2-6.el6.i686.rpm
freetype-2.3.11-5.el6.i686.rpm
libSM-1.1.0-7.1.el6.i686.rpm
libICE-1.0.6-1.el6.i686.rpm
libXi-1.3-3.el6.i686.rpm
libX11-1.3-2.el6.i686.rpm
libXext-1.1-3.el6.i686.rpm
libXcb-1.5-1.el6.i686.rpm
libXau-1.0.5-1.el6.i686.rpm
libXrender-0.9.5-1.el6.i686.rpm
libXrandr-1.3.0-4.el6.i686.rpm
libXfixes-4.0.4-1.el6.i686.rpm
libXcursor-1.1.10-2.el6.i686.rpm
fontconfig-2.8.0-3.el6.i686.rpm
expat-2.0.1-9.1.el6.i686.rpm
expect-5.44.1.15-2.el6..rpm
zlib-1.2.3-25.el6.i686.rpm
libstdc++-4.4.4-13.el6.i686.rpm
net-snmp-5.5-27.el6..rpm

most of them are 32 bit versions; installing those PSP installation starts without problem.

Thanks again to all for proactive support.

Regards,
Roberto
Rende Luitjes
Occasional Advisor

Re: RedHat Enterprise Linux 6 Proliant Support Pack 8.62 installation

I did figure out a similar list myself.

Just thought is was rather odd that on a 64 bit OS one would just need so much 32 bit stuff, just to get the PSP rolling in the first place.

For now, I'm just abandoning hpsum and the PSP kit in general. Instead, I'll just hand-pick individual rpm's from a locally cached SDR.